Subject: Re: [PATCH 08/24] net, diet: Make TCP metrics optional

From: [email-masked]
Date: Tue, 6 May 2014 14:08:15 -0700

On Tue, May 06, 2014 at 04:44:10PM -0400, David Miller wrote:
> From: Cong Wang <[email-masked]>
> Date: Tue, 6 May 2014 11:33:11 -0700
> 
> > So why bothers 3.15+ Linux kernel? Why not use an old kernel e.g. 2.4.x?
> > 2.4.x kernel doesn't have so many new features you want to get rid of here.
> 
> +1

You've got to be kidding.  Using 2.4 for a new network-connected device,
today?  With all of its potential security holes that nobody is paying
attention to?  Easier to fork 3.15 and trim it down than to do *that*.
And there *are* a huge number of useful features in 3.15+, not least of
which drivers for current hardware.

- Josh Triplett